import Toast from '@vant/weapp/toast/toast'; 
// pages/register/index.js 
Page({ 
 
  /** 
   * 页面的初始数据 
   */ 
  data: { 
    username:'', 
    phone:'', 
    id:'', 
    school:'', 
    showUnit: false, //单位弹层控制 
    date: '请选择日期', 
    array: ['学生', '教师'], 
    array2: ['计算机科学与技术', '软件工程', '物联网工程', '艺术'], 
    array3: ['清汤', '酸甜', '微麻微辣', '重辣'], 
    index: 0, 
    index2:0, 
    index3:0, 
  },  
  // feild输入框 
   onChange(event) { 
    // event.detail 为当前输入的值 
    console.log(event.detail); 
  }, 
  // 获取事件 
  bindPickerChange: function (e) { 
    console.log('picker发送选择改变，携带值为', e.detail.value) 
    this.setData({ 
      index: e.detail.value 
    }) 
  }, 
  
  bindPicker2Change: function (e) { 
    console.log('picker发送选择改变，携带值为', e.detail.value) 
    this.setData({ 
      index2: e.detail.value 
    }) 
  }, 
  bindPicker3Change: function (e) { 
    console.log('picker发送选择改变，携带值为', e.detail.value) 
    this.setData({ 
      index3: e.detail.value 
    }) 
  }, 
  /** 
   * 生命周期函数--监听页面加载 
   */ 
  onLoad(options) { 
 
  }, 
  //  点击日期组件确定事件 
  bindDateChange: function (e) { 
    this.setData({ 
      date: e.detail.value 
    }) 
  }, 
  /** 
   * 生命周期函数--监听页面显示 
   */ 
  onShow() { 
 
  }, 
 
 
 
   
}) 